curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/backfill_column \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"column": "<string>",
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"id": [
"<string>"
],
"branch": "<string>",
"where": "<string>",
"concurrency": 123,
"intra_applier_concurrency": 123,
"min_checkpoint_size": 123,
"max_checkpoint_size": 123,
"batch_checkpoint_flush_interval_seconds": 123,
"read_version": 123,
"task_size": 123,
"num_frags": 123,
"checkpoint_size": 123,
"commit_granularity": 123,
"cluster": "<string>",
"manifest": "<string>"
}
'{
"job_id": "<string>"
}Trigger an async column backfill job
Trigger an asynchronous backfill job for a computed column on table id.
The column must be a virtual (UDF-backed) column. Returns a job ID for tracking.
A valid request URL is required to generate request examples{
"job_id": "<string>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Body
Lance field path to backfill. Nested fields use dot-separated segments; use backtick-quoted segments for literal dots and double backticks inside quoted segments. Use canonical full paths for display and errors; leaf names alone only identify top-level fields; invalid or unresolved paths should return InvalidInput or TableColumnNotFound.
1Identity information of a request.
Show child attributes
Show child attributes
Table identifier path (namespace + table name)
Branch to target. When not specified, the main branch is used.
Optional WHERE clause filter
Optional concurrency override
Optional intra-applier concurrency override
Optional minimum checkpoint size
Optional maximum checkpoint size
Optional batch checkpoint flush interval in seconds
Optional table version to read from
Optional task size
Optional number of fragments
Optional checkpoint size
Optional commit granularity
Optional cluster name
Optional manifest name
Response
Backfill job accepted
The job ID for tracking the backfill job
Was this page helpful?